<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>lab5</title>
    <style>
        .main {
            width: 95%;
            height: 100%;
            border: 5px solid green;
            padding: 10px;
            margin: auto;
        }

        .red {
            border: 5px solid red;
            padding: 10px;
            margin-bottom: 25px;
            display: flex;
            justify-content: space-between;
        }

        .blue {
            border: 5px solid blue;
            width: 20%;
            padding: 10px;
        }

        .yellow {
            border: 5px solid yellow;
            padding: 10px;
            height: 10px
        }

        @media (max-width: 1024px) {
            .main {
                height: 85vh;
                display: flex;
                flex-direction: column;
                justify-content: center;
            }
            .blue {
                width: 33%;
            }
        }
        @media (max-width: 768px) {
            .blue {
                display: flex;
                flex-direction: column;
            }
            .yellow {
                width: 50%;
                margin: auto;
                border-color: blueviolet;
            }
            .blue {
                border-color: black;
            }
        }
        @media (max-width: 576px) {
            .main {
                border-color: chocolate;
            }
            .red {
                border-color: darkgoldenrod;
            }
            .blue {
                display: none
            }
        }
    </style>
    <title>Lab 5</title>
</head>
<body>
<div class="main">
    <div class="red">
        <div class="blue"></div>
        <div class="blue"></div>
        <div class="blue">
            <div class="yellow"></div>
            <div class="yellow"></div>
        </div>
    </div>
    <div class="red">
        <div class="blue"></div>
        <div class="blue"></div>
        <div class="blue"></div>
        <div class="blue"></div>
    </div>
    <div class="red">
        <div class="blue"></div>
        <div class="blue">
            <div  class="yellow"></div>
            <div  class="yellow"></div>
        </div>
    </div>
    <div class="red" style="margin-bottom: 0;">
        <div class="blue">
            <div class="yellow"></div>
            <div class="yellow"></div>
        </div>
        <div class="blue"></div>
        <div class="blue"></div>
    </div>
</div>
</body>
</html>